LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XEndnotesSettingsSupplier Interface Referencepublished

makes it possible to access the FootnoteSettings within the context (e.g. More...

`import"XEndnotesSettingsSupplier.idl";`

Inheritance diagram for XEndnotesSettingsSupplier:

## Public Member Functions
com::sun::star::beans::XPropertySet | getEndnotesSettings ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to access the FootnoteSettings within the context (e.g.

document).

## Member Function Documentation

## ◆ getEndnotesSettings()

com::sun::star::beans::XPropertySet getEndnotesSettings | ( |  | ) |

Returns
  EndnoteSettings of the object.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XEndnotesSettingsSupplier.idl